跳转到主要内容
GET
/
v1
/
files
文件列表
curl --request GET \
  --url https://api.moonshot.cn/v1/files \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.moonshot.cn/v1/files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.moonshot.cn/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "file",
      "bytes": 123,
      "created_at": 123,
      "filename": "<string>",
      "status": "ready",
      "status_details": "<string>"
    }
  ]
}
{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}
file_list = client.files.list()

for file in file_list.data:
    print(file) # 查看每个文件的信息

授权

Authorization
string
header
必填

Authorization 请求头需要一个 Bearer 令牌。使用 MOONSHOT_API_KEY 作为令牌。这是一个服务端密钥,请在 API 密钥页面 生成。

响应

已上传文件列表

object
string
必填
示例:

"list"

data
object[]
必填